# $Revision: 1.39 $, $Date: 2002/11/05 23:10:52 $
Summary:	prints system call strace of a running process
Summary(de):	druckt ein Protokoll der Systemaufrufe eines laufenden Prozesses
Summary(fr):	affiche l'appel systme strace d'un processus en excution
Summary(pl):	strace wywietla funkcje systemowe wywoywane przez uruchomiony proces
Summary(tr):	alan bir srecin yapt sistem arlarn listeler
Name:		strace
Version:	4.4
Release:	4
License:	distributable
Group:		Development/Debuggers
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/strace/%{name}_%{version}-1.tar.gz
Source1:	%{name}.1.pl
Patch0:		%{name}-newsysc.patch
Patch1:		%{name}-getdents64.patch
Patch2:		%{name}-acfix.patch
Patch3:		%{name}-threads.patch
URL:		http://www.liacs.nl/~wichert/strace/
BuildRequires:	autoconf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Strace prints a record of each system call another program makes,
including all of the arguments passed to it and the system call's
return value.

%description -l de
Strace druckt ein Protokoll aller von einem anderen Programm
ausgegebenen Systemaufrufe, einschlielich aller weitergeleiteten
Argumente und dem Ausgabewert des Systemaufrufs.

%description -l fr
strace affiche l'enregistrement de chaque appel systme que fait un
programme ainsi que tous les arguments qui lui ont t passs et la
valeur de retour de l'appel.

%description -l pl
Strace wywietla informacje o kadym wywoaniu funkcji systemowych
przez uruchamiany program, w tym rwnie wszystkie argumenty wywoania
i zwrcon warto.

%description -l tr
strace bir programn alt srece yapt btn sistem
arlarn, gnderdii parametreler ve geri dn deerleriyle
birlikte dker.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__autoconf}
%{__autoheader}
# for 2.4 you can and even should remove these two kernel_Xid32_t definitions
CFLAGS="%{rpmcflags} -D__kernel_uid32_t=uid_t -D__kernel_gid32_t=gid_t"
export CFLAGS
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/{man1,pl/man1}}

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	bindir=$RPM_BUILD_ROOT%{_bindir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/pl/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README-linux
%attr(755,root,root) %{_bindir}/strace
%{_mandir}/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: strace.spec,v $
Revision 1.39  2002/11/05 23:10:52  baggins
- release 4
- removed obsolete sparc patches (newsysc patch breaks sparc too...)

Revision 1.38  2002/10/09 13:14:48  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.37  2002/07/04 08:52:58  jajcus
- Release: 3
- patch from rawhide allowing to trace threads
- new %%doc compression

Revision 1.36  2002/05/21 23:14:47  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.35  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.34  2002/02/22 23:29:45  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.33  2002/01/18 02:15:04  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.32  2001/11/18 21:18:34  ankry
- added pl man page
- release 2

Revision 1.31  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.30  2001/10/19 14:57:11  qboosh
- updated to 4.4 (needs testing)
- updated newsysc,getdents64 patches; removed obsolete putmsg patch
- added acfix patch for autoconf 2.5x

Revision 1.29  2001/04/04 19:57:47  misiek
4.3; need alpha && sparc testers

Revision 1.28  2000/12/30 23:08:16  kloczek
- some cosmetics.

Revision 1.27  2000/12/28 15:24:25  baggins
- release 10
- added missing patches
- updated ipv6 patch

Revision 1.26  2000/10/27 20:54:07  misiek
commented out missing patches
added v6 enhacement patch

Revision 1.25  2000/09/07 20:17:22  kloczek
- bump to release 9 (for allow upgrade from RH),
- spec adapterized.

Revision 1.24  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.23  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.22  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.21  2000/02/19 15:09:47  baggins
- updated to 4.2

Revision 1.20  2000/01/31 19:33:17  baggins
- updated to 4.1

Revision 1.19  1999/08/19 10:54:00  kloczek
- release 2.

Revision 1.18  1999/08/19 10:50:02  kloczek
- more rpm macros.

Revision 1.17  1999/08/16 14:28:36  misiek
added ipv6 patch

Revision 1.16  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat Apr 24 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [3.1-18]
- added patches for arm arch and clone() (from rawhide),
- removed obsolete AC_C_CROSS macro from configure.in
  (strace-AC_C_CROSS.patch).

* Thu Apr 22 1999 Artur Frysiak <wiget@pld.org.pl>
  [3.1-14]
- removed man group from man pages
- compiled on rpm 3

* Wed Feb 17 1999 Micha Kuratczyk <kura@wroclaw.art.pl>
  [3.1-13]
- added Group(pl)
- added gzipping man page

* Thu Oct 08 1998 Marcin Korzonek <mkorz@shadow.eu.org>
  [3.1-12]
- added translation pl.
- build against GNU libc-2.1
